#include <stdlib.h>
#include <string.h>

#include "decoder.h"

extern _COBHeader	header;
extern _function	*pFunctions;
extern _piece		*pPieces;
extern _label		*pLabels;

extern long printcode(char *psz);
extern long decodecob(char *psz);

extern long lnLabels;

bool		bStrict = false;;

//version 0.3.2.0

int main(int argc, char *argv[])
	{
	if (argc < 2)
		exit(0);

	if (argc > 2 && !strcmpi(argv[2], "-s"))
		bStrict = true;

	decodecob(argv[1]);
	printcode(argv[1]);

	for (long i = 0; i < header.lnFunctions; i++)
		{
		if (pFunctions[i].lpCode)
			delete[] pFunctions[i].lpCode;
		if (pFunctions[i].pszName)
			delete[] pFunctions[i].pszName;
		}
	delete[] pFunctions;

	for (long j = 0; j < header.lnPieces; j++)
		{
		if (pPieces[j].pszName)
			delete[] pPieces[j].pszName;
		}
	if (header.lnPieces) delete[] pPieces;

	if (lnLabels) delete[] pLabels;

	return 0;
	}