#ifndef __DECODER_H__
#define __DECODER_H__

typedef struct _COBHeader
	{
	long	lVersion;
	long	lnFunctions;
	long	lnPieces;
	long	lnLongs;
	long	lnStaticVar;
	long	lSeparator;
	long	lOffsetToFunctionCodeIndexArray;
	long	lOffsetToFunctionNameOffsetArray;
	long	lOffsetToPieceNameOffsetArray;
	long	lOffsetToScriptCode;
	long	lOffsetToFunctionNames;
	}_COBHeader;

typedef struct _function
	{
	char *pszName;
	long *lpCode;
	long lSize;
	}_function;

typedef struct _piece
	{
	char *pszName;
	}_piece;

typedef struct _label
	{
	long	lOffset;
	}_label;

#else
#endif